Bug 108172 - network setup in anaconda has no defaults
network setup in anaconda has no defaults
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-10-28 06:07 EST by David Jansen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 16:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Jansen 2003-10-28 06:07:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
The network setup in anaconda previously (RedHat 9) filled in reasonable
defaults for netmask and gateway once the ip-address was entered.
In the Fedora core version, one has to enter all of this information by hand.
However, the code to fill in the defaults is still there: when doing an
nfs-based install, the text-mode part of anaconda asks for the networking
information, and this part is unchanged.
I think it might be very useful to have consistent behaviour between the various
parts of anaconda, and filling in a default netmask not only saves a lot of
typing, but it is also a great clue to users who don't know all the details
about network configuration.

Version-Release number of selected component (if applicable):
Network setup has no reasonable defaults for non-dhcp addresses

How reproducible:

Steps to Reproduce:
1.install fedora core (test3) from cd
2.switch off dhcp to give manual ip information


Additional info:
Comment 1 Jeremy Katz 2005-09-21 16:41:27 EDT
This shoudl be better in newer releases of Fedora Core

Note You need to log in before you can comment on or make changes to this bug.